%define major	2.8

Name:		evolution-jescs
Summary:	Sun Java Enterprise System Calendar Server connector for Evolution
Version:	2.8.0
Release:	%mkrel 1
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL: 		http://cvs.gnome.org/viewcvs/evolution-jescs/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	evolution-devel 
BuildRequires:  libsoup-devel 
BuildRequires:  libgtkhtml-3.8-devel 
BuildRequires:  evolution-data-server-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:  mono-devel

%description
This is the Evolution Connector for Sun Java Enterprise System Calendar Server 
(SJESCS), which adds support for SJESCS 5.1 and above to Evolution.

This connector supports the WCAP (Web Calendar Access Protocol) 2.0, 3.0, 3.1.

%prep
%setup -q

%build

%configure2_5x 

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/*/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-*/*/*.a

%{find_lang} %{name}-%{major}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{major}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog 
%{_libdir}/evolution-data-server-*/camel-providers/*
%{_libdir}/evolution/*/%{name}
%{_libdir}/bonobo/servers/*.server
%{_datadir}/%{name}
%{_datadir}/evolution/*/images/*

%changelog
* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2007.0
- Release 2.8.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-3mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-2mdv2007.0
- Rebuild with latest evolution

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-1mdv2007.0
- Release 2.7.0

* Sun Jun 04 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.2-1mdv2007.0
- New release 2.6.2

* Sun May 14 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Tue May 02 2006 Pascal Terjan <pterjan@mandriva.org> 2.5.4-1mdk
- New release 2.5.4

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.5.3-3mdk
- Fix BuildRequires

* Wed Apr 26 2006 Pascal Terjan <pterjan@mandriva.org> 2.5.3-2mdk
- BuildRequires evolution-data-server-devel

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5.3-1mdk
- Release 2.5.3

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-4mdk
- Add libgtkhtml-3.8-devel in Buildrequires and not only in changelog

* Wed Feb 08 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-3mdk
- BuildRequires libgtkhtml-3.8-devel

* Wed Feb 01 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-2mdk
- BuildRequires libsoup-devel

* Wed Jan 25 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-1mdk
- New release 2.4.4

* Sat Jan 21 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.3-2mdk
- BuildRequires

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.3-1mdk
- New release 2.4.3

* Fri Oct 07 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.1-1mdk
- 2.4.1

* Sun Sep 11 2005 Pascal Terjan <pterjan@mandriva.org> 2.2.0-1mdk
- Initial Mandriva package
